package com.itsol.quantrivanphong.manager.employee.business;

import com.itsol.quantrivanphong.model.Employee;
import org.springframework.validation.Validator;

import java.util.List;

public interface EmployeeBusiness extends Validator {
    List<Employee> findAll();

    Employee findById(int id);

    Employee findEmployeeByEmailAddress(String email);

    Employee findEmployeeByUserName(String name);

    Employee findEmployeeByUsernameAndPassword(String username, String password);

    void save(Employee employee);

    void deleteById(int id);

    boolean confirmEmployee(Employee employee);
}
